Skip to main content
POST
/
workflows
/
{id}
/
trigger
Trigger Workflow Run
curl --request POST \
  --url https://api.example.com/workflows/{id}/trigger \
  --header 'Content-Type: application/json' \
  --data '
{
  "variables": {}
}
'
{
  "success": true,
  "message": "<string>",
  "data": {
    "id": "<string>",
    "entity": "run",
    "organization_id": "<string>",
    "workflow_id": "<string>",
    "workflow_version_id": "<string>",
    "version": 1,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "status": "PENDING",
    "exit_code": 123,
    "exit_message": "<string>"
  }
}

Path Parameters

id
string
required

Body

application/json
variables
object

Response

201 - application/json

Run queued — execution is asynchronous

success
boolean
message
string
data
object